View Single Post
Old 05-24-03, 07:46 AM   #6
vnpenguin
GeForce4
 
Join Date: Mar 2003
Location: Belgium
Posts: 28
Send a message via Yahoo to vnpenguin
Default

Quote:
Originally posted by jeanpain
hi there, i have the same problem...

installed the kernel (suse 8.2 download version on a athlon 1600XP, kernel installed from ftp://ftp.mirror.ac.uk/sites/ftp.sus...SE-62.i586.rpm), then compiled the patch using the --kernel-name=2.4.20-4GB-athlon flag... and there it ended.

"On SuSE Linux/United Linux please use
SaX2 now to enable the NVIDIA driver." says the logfile of the installer, but with Sax2 i do not succeed in installing the driver :-(

then manually, in XF86Config, i changed "nv" to "nvidia", loaded "glx" and made sure neither dri or GLcore were loaded... and again: nothing :-((

the log file says that there is a compatibility problem between the 2.4.20-4GB source and the 2.4.20-4GB-athlon kernel that are installed on my system. but the original athlon-kernel-sources are nowhere to be found on the internet...

(same happens when i try to load module manually...)

so what can be done to make the nvidia driver run on a suse8.2 athlon machine?

cheers

jeanpain
Hi,
I have the same error after updating my SuSE-8.2. The original SuSE-8.2 kernel works well with Nvidia. But the updated kernel "2.4.20-4GB-athlon" not!

In log file, I see:
-> Kernel module load error: ./usr/src/nv/nvidia.o: kernel-module version
mismatch
./usr/src/nv/nvidia.o was compiled for kernel version 2.4.20-4GB
while this kernel is version 2.4.20-4GB-athlon.

The package "kernel-source-2.4.20.SuSE-62" is already install in my system.

Anyone could help me ???
TIA,
VP
vnpenguin is offline   Reply With Quote